Skip to main content
GET
Get Signature

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

Path Parameters

keyId
string
required

The key that was used for signing.

Required string length: 1 - 64
signatureId
string
required

The signature request to retrieve.

Required string length: 1 - 64

Response

200 - application/json

Success

id
string
required

Signature id.

Required string length: 1 - 64
Pattern: ^sig-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
Example:

"sig-4sfvl-f4iha-umighfi3hk4t54dr"

keyId
string
required

Key id.

Required string length: 1 - 64
Pattern: ^key-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
Example:

"key-01snl-t56gb-j8tsok0vn802p80i"

requester
object
required

The user who initiated the request.

requestBody
Hash · object
required

All cryptographic scheme support hash signing. Different blockchains will apply different hash functions to compute the hash.

status
enum<string>
required
Available options:
Pending,
Executing,
Signed,
Confirmed,
Failed,
Rejected
dateRequested
string<date-time>
required

ISO 8601 date (must be UTC). When the signature was requested.

Example:

"2023-04-14T20:41:28.715Z"

reason
string
signature
object
signatures
object[]
signedData
string
network
enum<string>
Available options:
Algorand,
AlgorandTestnet,
Aptos,
AptosTestnet,
ArbitrumOne,
ArbitrumSepolia,
ArcTestnet,
AvalancheC,
AvalancheCFuji,
BabylonGenesis,
BabylonTestnet5,
Base,
BaseSepolia,
Berachain,
BerachainBepolia,
Bitcoin,
BitcoinSignet,
BitcoinTestnet4,
BitcoinCash,
Bob,
BobSepolia,
Bsc,
BscTestnet,
Canton,
CantonTestnet,
Cardano,
CardanoPreprod,
Concordium,
ConcordiumTestnet,
Celo,
CeloAlfajores,
Codex,
CodexSepolia,
CosmosHub4,
CosmosIcsTestnet,
Dogecoin,
DogecoinTestnet,
Ethereum,
EthereumClassic,
EthereumClassicMordor,
EthereumSepolia,
EthereumHoodi,
FlareC,
FlareCCoston2,
FlowEvm,
FlowEvmTestnet,
Hedera,
HederaTestnet,
Ink,
InkSepolia,
InternetComputer,
Ion,
IonTestnet,
Iota,
IotaTestnet,
Kusama,
KusamaAssetHub,
Litecoin,
LitecoinTestnet,
Movement,
MovementTestnet,
Near,
NearTestnet,
Optimism,
OptimismSepolia,
Origyn,
Plasma,
PlasmaTestnet,
Plume,
PlumeSepolia,
Paseo,
PaseoAssetHub,
Polkadot,
PolkadotAssetHub,
Polygon,
PolygonAmoy,
Polymesh,
PolymeshTestnet,
Race,
RaceSepolia,
Rayls,
RaylsTestnet,
Robinhood,
RobinhoodSepolia,
SeiAtlantic2,
SeiPacific1,
Solana,
SolanaDevnet,
Sonic,
SonicTestnet,
Starknet,
StarknetSepolia,
Stellar,
StellarTestnet,
Sui,
SuiTestnet,
Tezos,
TezosGhostnet,
TezosShadownet,
Tempo,
TempoModerato,
Tsc,
TscTestnet1,
Ton,
TonTestnet,
Tron,
TronNile,
Westend,
WestendAssetHub,
Xdc,
XdcApothem,
XLayer,
XLayerSepolia,
XrpLedger,
XrpLedgerTestnet
txHash
string
fee
string
approvalId
string
Required string length: 1 - 64
Pattern: ^ap-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
Example:

"ap-2a9in-tt2a1-983lho480p35ejd0"

datePolicyResolved
string<date-time>

ISO 8601 date (must be UTC). When the signature was approved by policy reviewers.

Example:

"2023-04-14T20:41:28.715Z"

dateSigned
string<date-time>

ISO 8601 date (must be UTC). When the signature was signed.

Example:

"2023-04-14T20:41:28.715Z"

dateConfirmed
string<date-time>

ISO 8601 date (must be UTC). When the signature was confirmed on chain.

Example:

"2023-04-14T20:41:28.715Z"

externalId
string
details
object

Structured representation of the data used to construct the signature (e.g. nonce, gas parameters). Shape is blockchain specific.

Last modified on July 20, 2026